#ifndef BASECOMMAND_H
#define BASECOMMAND_H

#include <iostream>
#include <vector>
#include "../ICommandSource.h"

using namespace std;

class BaseCommand
{
public:
    BaseCommand(string name);
    virtual ~BaseCommand();
    
    const string& getName() const;
    virtual void execute(ICommandSource& cs, vector<string>& args) const = 0;
    
private:
    const string name;
};

#endif

